# load package if isn't loaded
package require VRS

# root geometry node: camera with look-from, look-to, and field-of-view 
set view [new SceneThing]
$view append [new Camera {0 0 -2} {0 0 0} 60]
$view append [new PointLight {-1 -1 -1}]

# add lightsource, color, material, and a cached sphere
$view append [new ColorAttribute {1.0 1.0 1.0 1.0}]
$view append [new Material 0.4 0.9 0.2]
$view append [new Sphere 0.7 {0 0 0}]

# create 3D canvas

set canvas [new TclCanvas .canvas 256 256]
    
# add geometry graph (view) and behavior graph (resize handler)
$canvas append $view

# GUI
frame .mbar -border 1 -relief raised
menubutton .mbar.file -text File -menu .mbar.file.m

menu .mbar.file.m
.mbar.file.m add command -label "Quit" -command "destroy . ; VRS cleanup"

pack .mbar.file -side left
pack .mbar -fill x
pack .canvas -fill both -expand yes


